import { Component, ElementRef, Input } from '@angular/core';
var MenuBarComponent = (function () {
    function MenuBarComponent(elementRef) {
        this.elementRef = elementRef;
        this.contentType = 'container';
        this.menuOptions = {};
        this.inverse = false;
    }
    MenuBarComponent.prototype.toggle = function () {
        this.onShowNavBarChange(!this.showNavBar);
    };
    MenuBarComponent.prototype.hide = function ($event) {
        if (!this.elementRef.nativeElement.contains($event.target)) {
            this.onShowNavBarChange(false);
        }
    };
    MenuBarComponent.prototype.onShowNavBarChange = function (showNavBar) {
        if (this.showNavBar !== showNavBar) {
            this.showNavBar = showNavBar;
        }
    };
    MenuBarComponent.prototype.isRouter = function (url) {
        return url instanceof Array;
    };
    return MenuBarComponent;
}());
export { MenuBarComponent };
MenuBarComponent.decorators = [
    { type: Component, args: [{
                selector: 're-menu-bar',
                template: "\n    <nav class=\"menu-bar navbar navbar-{{ inverse ? 'inverse' : 'default'}} {{type}} {{cssClass}}\" [ngClass]=\"{'sidebar-open': sidebarOpen}\" (click)=\"hide($event)\"><div class=\"{{type == 'sidebar' ? 'container-fluid' : contentType}}\"><div class=\"navbar-header collapsed\" *ngIf=\"menuOptions.logo || menuOptions.title\"><button type=\"button\" class=\"navbar-toggle collapsed\" aria-expanded=\"true\" aria-controls=\"navbar\" (click)=\"toggle($event);\"><span class=\"sr-only\">{{menuOptions.title}}</span> <span class=\"icon-bar\"></span> <span class=\"icon-bar\"></span> <span class=\"icon-bar\"></span></button> <a *ngIf=\"!isRouter(menuOptions.home)\" class=\"navbar-brand text-center\" [href]=\"menuOptions.home\"><img class=\"logo\" *ngIf=\"menuOptions.logo\" [src]=\"menuOptions.logo\" [attr.alt]=\"menuOptions.title\"> <span *ngIf=\"!menuOptions.logo\">{{menuOptions.title}}</span> </a><a *ngIf=\"isRouter(menuOptions.home)\" class=\"navbar-brand text-center\" [routerLink]=\"menuOptions.home\" [queryParams]=\"menuOptions.homeQueryParams\"><img class=\"logo\" *ngIf=\"menuOptions.logo\" [src]=\"menuOptions.logo\" [attr.alt]=\"menuOptions.title\"> <span *ngIf=\"!menuOptions.logo\">{{menuOptions.title}}</span></a></div><div #navbarCollapse class=\"navbar-collapse\" [ngClass]=\"{collapse: !showNavBar, in: showNavBar}\" aria-expanded=\"true\"><re-nav-item class=\"nav-item\" [direction]=\"direction\" [menus]=\"menuOptions.menus\"></re-nav-item><re-nav-item class=\"nav-item\" [direction]=\"direction\" [menus]=\"menuOptions.rightMenus\" [right]=\"true\"></re-nav-item></div></div></nav>\n  ",
                styles: ["\n    .menu-bar .logo{width:60px;margin-top:-15px}.menu-bar .navbar-collapse .nav-item{display:block}.menu-bar .navbar-collapse .nav-item:last-child{margin-right:3rem}nav.sidebar{-webkit-transition:margin .2s ease-out;-moz-transition:margin .2s ease-out;-o-transition:margin .2s ease-out;transition:margin .2s ease-out}@media (min-width:765px){nav.sidebar{position:fixed;z-index:100;width:200px;height:100%;margin-left:-160px;float:left;margin-bottom:0}nav.sidebar.sidebar-open,nav.sidebar:hover{margin-left:0}nav.sidebar .navbar-brand,nav.sidebar .navbar-header{text-align:center;width:100%;margin-left:0}.navbar>.container-fluid .navbar-brand,nav.sidebar.navbar.sidebar>.container .navbar-brand{margin-left:0}:host /deep/ nav.sidebar a{padding-right:13px}:host /deep/ nav.sidebar li{width:100%}:host /deep/ nav.sidebar .menu-icon{float:right!important}:host /deep/ nav.sidebar .navbar-nav>li:first-child{border-top:1px #e5e5e5 solid}:host /deep/ nav.sidebar .navbar-nav>li{border-bottom:1px #e5e5e5 solid}:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu{position:static;float:none;width:auto;margin-top:0;background-color:transparent;border:0;-webkit-box-shadow:none;box-shadow:none}:host /deep/ nav.sidebar .container-fluid,:host /deep/ nav.sidebar .navbar-collapse{padding:0}:host /deep/ nav.sidebar .forAnimate{opacity:0}}@media (min-width:1330px){nav.sidebar{z-index:100;margin-left:0;float:left}:host /deep/ nav.sidebar .forAnimate{opacity:1}}:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu>li>a:focus,:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu>li>a:hover{background-color:transparent}:host /deep/ nav.sidebar nav:hover .forAnimate{opacity:1}\n  "],
                exportAs: 'menuBar'
            },] },
];
/** @nocollapse */
MenuBarComponent.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
MenuBarComponent.propDecorators = {
    'cssClass': [{ type: Input },],
    'type': [{ type: Input },],
    'contentType': [{ type: Input },],
    'menuOptions': [{ type: Input },],
    'direction': [{ type: Input },],
    'inverse': [{ type: Input },],
};
//# sourceMappingURL=menu-bar.component.js.map