var TAB_KEY_CODE = 9;
function range(start, end) {
    var result = [];
    var index = start;
    while (index < end) {
        result.push(index);
        index++;
    }
    return result;
}
var ARROW_KEY_CODE_RANGE = range(37, 41);
var smallKeyBoard = function (event) {
    var which = event.which;
    return (which >= 96 && which <= 105);
};
var numberKeyBoard = function (event) {
    var which = event.which;
    return (which >= 48 && which <= 57) && !event.shiftKey;
};
var functionKeyBoard = function (event) {
    var which = event.which;
    return (which <= 40) || (navigator.platform.indexOf('Mac') > -1 && event.metaKey) ||
        (navigator.platform.indexOf('Win') > -1 && event.ctrlKey);
};
var currencyKeyBoard = function (event, viewValue) {
    var which = event.which;
    return (viewValue.toString().indexOf('$') === -1 && which === 52 && event.shiftKey);
};
var floatKeyBoard = function (event, viewValue) {
    var which = event.which;
    return [188].indexOf(which) !== -1 || (which === 190 || which === 110) &&
        viewValue.toString().indexOf('.') === -1;
};
var tabKeyBoard = function (event) {
    return event.which === TAB_KEY_CODE;
};
var arrowKeyBoard = function (event) {
    return ARROW_KEY_CODE_RANGE.indexOf(event.which) > -1;
};
export var keyBoardHelper = {
    smallKeyBoard: smallKeyBoard,
    numberKeyBoard: numberKeyBoard,
    functionKeyBoard: functionKeyBoard,
    currencyKeyBoard: currencyKeyBoard,
    floatKeyBoard: floatKeyBoard,
    tabKeyBoard: tabKeyBoard,
    arrowKeyBoard: arrowKeyBoard,
};
//# sourceMappingURL=keyboard-utils.js.map